com.holonplatform.vaadin.flow.navigator.internal

## Class DefaultNavigator.DefaultNavigationBuilder

- java.lang.Object
- - com.holonplatform.vaadin.flow.navigator.internal.AbstractNavigationURLBuilder<Navigator.NavigationBuilder>
  - - com.holonplatform.vaadin.flow.navigator.internal.DefaultNavigator.DefaultNavigationBuilder

- All Implemented Interfaces:
    NavigationURLBuilder<Navigator.NavigationBuilder>, Navigator.NavigationBuilder, Serializable
  Enclosing class:
    DefaultNavigator

      public static class DefaultNavigator.DefaultNavigationBuilder
      extends AbstractNavigationURLBuilder<Navigator.NavigationBuilder>
      implements Navigator.NavigationBuilder

  Default `NavigationBuilder` implementation.
  Since:
    5.2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultNavigationBuilder(Navigator navigator, String path)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.vaadin.flow.router.Location` | `asLocation()` Get the navigation location as a `Location`, including the navigation path and any declared query parameter.
    `void` | `navigate()` Navigates to the location which is composed by the specified path and the provided query parameter values, if any.

    - ### Methods inherited from class com.holonplatform.vaadin.flow.navigator.internal.AbstractNavigationURLBuilder

      `encodeQueryParameters, withPathParameter, withQueryParameter`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.navigator.Navigator.NavigationBuilder

      `asLocationURL`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.navigator.NavigationURLBuilder

      `encodeQueryParameters, withPathParameter, withQueryParameter, withQueryParameter`

- - ### Constructor Detail

    - #### DefaultNavigationBuilder

          public DefaultNavigationBuilder(Navigator navigator,
                                          String path)

      Constructor.
      Parameters:
        `navigator` - The `Navigator` instance (not null)
        `path` - The navigation path

  - ### Method Detail

    - #### asLocation

          public com.vaadin.flow.router.Location asLocation()

      Description copied from interface: `Navigator.NavigationBuilder`
      Get the navigation location as a `Location`, including the navigation path and any declared query parameter.
      Specified by:
        `asLocation` in interface `Navigator.NavigationBuilder`
      Returns:
        the navigation `Location`

    - #### navigate

          public void navigate()

      Description copied from interface: `Navigator.NavigationBuilder`
      Navigates to the location which is composed by the specified path and the provided query parameter values, if any.
      Specified by:
        `navigate` in interface `Navigator.NavigationBuilder`

Copyright © 2019 The Holon Platform. All rights reserved.